/*
 * RARArchivedFile.java
 *
 * Created on September 30, 2001, 11:43 PM
 */

/**
 *
 * @author  jbanes
 * @version 
 */
public class RARArchivedFile 
{   
    private static final long DIRECTORY = 0x10;
    
    private String name;
    private long packedSize;
    private long unpackedSize;
    private long timestamp;
    private long attributes;
    
    RARArchivedFile(String name, long packedSize, long unpackedSize, long timestamp, long attributes)
    {
        this.name = name;
        this.packedSize = packedSize;
        this.unpackedSize = unpackedSize;
        this.timestamp = timestamp;
        this.attributes = attributes;
    }

    public String getName()
    {
        return name;
    }
    
    public long getPackedSize()
    {
        return packedSize;
    }
    
    public long getUnpackedSize()
    {
        return unpackedSize;
    }
    
    public long getTimestamp()
    {
        return timestamp;
    }
    
    public long getAttributes()
    {
        return attributes;
    }
    
    public boolean isDirectory()
    {
        return ((attributes & DIRECTORY) > 0);
    }
}
